<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_07) on Fri Feb 18 00:47:32 EST 2005 -->
<TITLE>
WorkbenchModule
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.common.modulecore.WorkbenchModule interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="WorkbenchModule";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WorkbenchModule.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ProjectModules.html" title="interface in org.eclipse.wst.common.modulecore"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WorkbenchModule.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.common.modulecore</FONT>
<BR>
Interface WorkbenchModule</H2>
<HR>
<DL>
<DT>public interface <B>WorkbenchModule</B></DL>

<P>
<!-- begin-user-doc --> 
 An EMF representation of a development-time module contained by an Eclipse project. 
 <p> 
 See the package overview for an <a href="package.html">overview of the model components</a>.
 </p>
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()"><CODE><em>Handle</em></CODE></A></li>
   <li><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()"><CODE><em>Deployed Name</em></CODE></A></li>
   <li><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getResources()"><CODE><em>Resources</em></CODE></A></li>
   <li><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()"><CODE><em>Module Type</em></CODE></A></li>
   <li><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModules()"><CODE><em>Modules</em></CODE></A></li>
 </ul>
 </p>
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule()"><CODE>ModuleCorePackage.getWorkbenchModule()</CODE></A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#findWorkbenchModuleResourceByDeployPath(URI)">findWorkbenchModuleResourceByDeployPath</A></B>(URI&nbsp;aDeployPath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#findWorkbenchModuleResourceBySourcePath(URI)">findWorkbenchModuleResourceBySourcePath</A></B>(URI&nbsp;aSourcePath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()">getDeployedName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Deployed Name</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;URI</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()">getHandle</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Handle</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModules()">getModules</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Modules</b></em>' reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore">ModuleType</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()">getModuleType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Module Type</b></em>' reference.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getResources()">getResources</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Resources</b></em>' containment reference list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#setDeployedName(java.lang.String)">setDeployedName</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()"><CODE><em>Deployed Name</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#setHandle(URI)">setHandle</A></B>(URI&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()"><CODE><em>Handle</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#setModuleType(org.eclipse.wst.common.modulecore.ModuleType)">setModuleType</A></B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore">ModuleType</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()"><CODE><em>Module Type</em></CODE></A>' reference.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getHandle()"><!-- --></A><H3>
getHandle</H3>
<PRE>
public URI <B>getHandle</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Handle</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Handle</em>' containment reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Handle</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#setHandle(URI)"><CODE>setHandle(URI)</CODE></A>, 
<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_Handle()"><CODE>ModuleCorePackage.getWorkbenchModule_Handle()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setHandle(URI)"><!-- --></A><H3>
setHandle</H3>
<PRE>
public void <B>setHandle</B>(URI&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()"><CODE><em>Handle</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Handle</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getHandle()"><CODE>getHandle()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDeployedName()"><!-- --></A><H3>
getDeployedName</H3>
<PRE>
public java.lang.String <B>getDeployedName</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Deployed Name</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Deployed Name</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Deployed Name</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#setDeployedName(java.lang.String)"><CODE>setDeployedName(String)</CODE></A>, 
<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_DeployedName()"><CODE>ModuleCorePackage.getWorkbenchModule_DeployedName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDeployedName(java.lang.String)"><!-- --></A><H3>
setDeployedName</H3>
<PRE>
public void <B>setDeployedName</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()"><CODE><em>Deployed Name</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Deployed Name</em>' attribute.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getDeployedName()"><CODE>getDeployedName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getModules()"><!-- --></A><H3>
getModules</H3>
<PRE>
public EList <B>getModules</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Modules</b></em>' reference list.
 The list contents are of type <A HREF="../../../../../org/eclipse/wst/common/modulecore/DependentModule.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>DependentModule</CODE></A>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Modules</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Modules</em>' reference list.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_Modules()"><CODE>ModuleCorePackage.getWorkbenchModule_Modules()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getResources()"><!-- --></A><H3>
getResources</H3>
<PRE>
public EList <B>getResources</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Resources</b></em>' containment reference list.
 The list contents are of type <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><CODE>WorkbenchModuleResource</CODE></A>.
 It is bidirectional and its opposite is '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getModule()"><CODE><em>Module</em></CODE></A>'.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Resources</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Resources</em>' containment reference list.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_Resources()"><CODE>ModuleCorePackage.getWorkbenchModule_Resources()</CODE></A>, 
<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html#getModule()"><CODE>WorkbenchModuleResource.getModule()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getModuleType()"><!-- --></A><H3>
getModuleType</H3>
<PRE>
public <A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore">ModuleType</A> <B>getModuleType</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Module Type</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Module Type</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc -->
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the value of the '<em>Module Type</em>' reference.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#setModuleType(org.eclipse.wst.common.modulecore.ModuleType)"><CODE>setModuleType(ModuleType)</CODE></A>, 
<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleCorePackage.html#getWorkbenchModule_ModuleType()"><CODE>ModuleCorePackage.getWorkbenchModule_ModuleType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setModuleType(org.eclipse.wst.common.modulecore.ModuleType)"><!-- --></A><H3>
setModuleType</H3>
<PRE>
public void <B>setModuleType</B>(<A HREF="../../../../../org/eclipse/wst/common/modulecore/ModuleType.html" title="interface in org.eclipse.wst.common.modulecore">ModuleType</A>&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()"><CODE><em>Module Type</em></CODE></A>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc -->
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Module Type</em>' reference.<DT><B>See Also:</B><DD><A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModule.html#getModuleType()"><CODE>getModuleType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="findWorkbenchModuleResourceByDeployPath(URI)"><!-- --></A><H3>
findWorkbenchModuleResourceByDeployPath</H3>
<PRE>
public <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[] <B>findWorkbenchModuleResourceByDeployPath</B>(URI&nbsp;aDeployPath)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="findWorkbenchModuleResourceBySourcePath(URI)"><!-- --></A><H3>
findWorkbenchModuleResourceBySourcePath</H3>
<PRE>
public <A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore">WorkbenchModuleResource</A>[] <B>findWorkbenchModuleResourceBySourcePath</B>(URI&nbsp;aSourcePath)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WorkbenchModule.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/ProjectModules.html" title="interface in org.eclipse.wst.common.modulecore"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/eclipse/wst/common/modulecore/WorkbenchModuleResource.html" title="interface in org.eclipse.wst.common.modulecore"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WorkbenchModule.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
